ARCH        = OS
SHOBJ       = YES

include ../../include/makeinclude/Makefile.$(ARCH)

APPNAME     = "Virtual Client/Server Example"
CXXINCLUDES = -I./
SERVER_LIBS = -L$(CDEVLIB) -lcdevGenericServer $(CDEVLIBS) $(ACELIBS) $(OSLIBS)

ifeq ($(SHOBJ), YES)
   LIBS    = -L$(CDEVLIB) -lcdevGenericServer $(CDEVLIBS) $(OSLIBS)
   TARGETS = $(BASELIB)/VirtualService.so $(BASEBIN)/VirtualServer $(BASEBIN)/monitorTest
else
   LIBS    = -L$(CDEVLIB) -lcdevGenericServer $(CDEVLIBS) $(ACELIBS) $(OSLIBS)
   TARGETS = $(BASELIB)/libVirtualService.a $(BASEBIN)/VirtualServer $(BASEBIN)/monitorTest
endif


targets : $(TARGETS)

$(BASEBIN)/VirtualServer : $(OBJDIR)/VirtualServer.o $(OBJDIR)/VirtualAttrib.o
	$(LINK.cc) $^ $(SERVER_LIBS) -o $@
	
$(BASELIB)/VirtualService.so : $(OBJDIR)/VirtualService.o 
	$(LINK.so) -o $@ $^ -L$(CDEVLIB) -lcdevGenericServer $(OSLIBS)
	@mkdir -p $(CDEVSHOBJ)/$(CDEVVERSION)
	@cp $@ $(CDEVSHOBJ)/$(CDEVVERSION)/$(@F)
	
$(BASELIB)/libVirtualService.a : $(OBJDIR)/VirtualService.o 
	$(LINK.a) $@ $^
	@$(RANLIB) $@ > /dev/null

$(BASEBIN)/monitorTest : $(OBJDIR)/monitorTest.o 
	$(LINK.cc) $^ -o $@ $(LIBS) 
